> ## Documentation Index
> Fetch the complete documentation index at: https://docs.khaime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Setup Marketplace

> Initialize marketplace mode for your business.

# Setup Marketplace

Enable marketplace mode to manage sub-merchants, set commission rates, and process split payments.

## Request Body

<ParamField body="marketplace_name" type="string" required>
  Name of your marketplace.
</ParamField>

<ParamField body="default_commission_rate" type="number">
  Default commission percentage for sub-merchants (0-100).
</ParamField>

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "marketplace_id": "mkt_abc123",
    "status": "active"
  }
}
```

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.khaime.com/api/v1/partner/marketplace/setup \
    -H "X-API-Key: pk_sandbox_your_key" \
    -H "Content-Type: application/json" \
    -d '{"marketplace_name": "My Marketplace", "default_commission_rate": 10}'
  ```
</RequestExample>
